---
title: "Delete org general brand resource"
url: "https://docs.signnow.com/docs/organization-branding/operations/delete-v2-organizations-organization_id-brands-brand_id-resources-general"
type: "endpoint"
section: "organization-branding"
slug: "organization-branding/operations/delete-v2-organizations-organization_id-brands-brand_id-resources-general"
method: "DELETE"
path: "/v2/organizations/{organization_id}/brands/{brand_id}/resources/general"
operation_id: "delete-v2-organizations-organization_id-brands-brand_id-resources-general"
authorization: "bearer"
---

# Delete org general brand resource

`DELETE /v2/organizations/{organization_id}/brands/{brand_id}/resources/general`

This endpoint allows users to delete a general brand resource for an organization. Only an admin or moderator of the organization can perform this action.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `organization_id` | string | Yes | ID of the organization. Must match the pattern: [a-z0-9]{40}. |
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Responses

### 204

Success, no content

### 400

Incorrect or missing token

**Example** (`Example 1`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* The user is authorized with a token from an app they don’t own.
* The user is neither admin, nor moderator of the organization.
* The brand exists but it is not an organization brand.


**Example** (`Non-organization brand`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`User doesn't own the app`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed"
}
```

**Example** (`User not admin or moderator`)

```json
{
  "code": 25006002,
  "message": "Insufficient organization rights."
}
```

### 404

* The organization is not found.
* The brand is not found.
* `brand_id` cannot be null.
* General resource for this `brand_id` doesn't exist.

**Example** (`Brand not found`)

```json
{
  "errors": [
    {
      "code": 25002016,
      "message": "Brand not found."
    }
  ]
}
```

**Example** (`brand_id is null`)

```json
{
  "404": "Unable to find a route to match the URI: /v2/organizations/3d73e416095d4734a0e0d8bce4bd33f7b44b7585/brands/resources/general"
}
```

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 25006001,
      "message": "Organization not found."
    }
  ]
}
```

**Example** (`General resource not found`)

```json
{
  "errors": [
    {
      "code": 25002036,
      "message": "Brand resource not found. Resource name: general."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X DELETE \
  "https://api.signnow.com/v2/organizations/{organization_id}/brands/{brand_id}/resources/general" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization-branding/operations/delete-v2-organizations-organization_id-brands-brand_id-resources-general*
